package javax.accessibility;

import javax.swing.text.AttributeSet;

public interface AccessibleEditableText extends AccessibleText
{
    public abstract void setTextContents(String p0);
    
    public abstract void insertTextAtIndex(int p0, String p1);
    
    public abstract String getTextRange(int p0, int p1);
    
    public abstract void delete(int p0, int p1);
    
    public abstract void cut(int p0, int p1);
    
    public abstract void paste(int p0);
    
    public abstract void replaceText(int p0, int p1, String p2);
    
    public abstract void selectText(int p0, int p1);
    
    public abstract void setAttributes(int p0, int p1, AttributeSet p2);
}
